> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Log run inputs

> Experimental: This API may change or be removed in a future release without warning.



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/2.0/mlflow/runs/log-inputs
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/runs/log-inputs:
    post:
      tags:
        - MLflow experiments and runs
      description: >-
        Experimental: This API may change or be removed in a future release
        without warning.
      operationId: runs.LogInputs
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/mlflow-proxy_LogInputsRequest'
      responses:
        '200':
          description: Run inputs logged successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_LogInputsResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_LogInputsRequest:
      description: >-
        Experimental: This API may change or be removed in a future release
        without warning.
      properties:
        run_id:
          description: ID of the run to log under. This field is required.
          type: string
        datasets:
          description: Dataset inputs
          items:
            $ref: '#/components/schemas/mlflow-proxy_DatasetInput'
          type: array
      required:
        - run_id
      type: object
    mlflow-proxy_LogInputsResponse:
      properties: {}
      type: object
    mlflow-proxy_DatasetInput:
      description: >-
        Experimental: This API may change or be removed in a future release
        without warning.
      properties:
        tags:
          description: >-
            A list of tags for the dataset input, e.g. a "context" tag with
            value "training"
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
          type: array
        dataset:
          $ref: '#/components/schemas/mlflow-proxy_Dataset'
      required:
        - dataset
        - tags
      type: object
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_Tag:
      properties:
        key:
          description: >-
            Name of the tag. Maximum size depends on storage backend.

            If a tag with this name already exists, its preexisting value will
            be replaced by the specified value. All storage backends are
            guaranteed to support key values up to 250 bytes in size. This field
            is required.
          type: string
        value:
          description: >-
            String value of the tag being logged. Maximum size depends on
            storage backend.

            All storage backends are guaranteed to support key values up to 5000
            bytes in size. This field is required.
          type: string
      required:
        - key
        - value
      type: object
    mlflow-proxy_Dataset:
      description: >-
        Represents a reference to data used for training, testing, or evaluation
        during the model development process.

        Experimental: This API may change or be removed in a future release
        without warning.
      properties:
        name:
          description: >-
            The name of the dataset. E.g. "my.uc.table@2" "nyc-taxi-dataset",
            "fantastic-elk-3" This field is required.
          type: string
        digest:
          description: >-
            Dataset digest, e.g. an md5 hash of the dataset that uniquely
            identifies it within datasets of the same name. This field is
            required.
          type: string
        source_type:
          description: >-
            Source information for the dataset. Note that the source may not
            exactly reproduce the dataset if it was transformed / modified
            before use with MLflow. This field is required.
          type: string
        source:
          description: >-
            The type of the dataset source, e.g. "databricks-uc-table", "DBFS",
            "S3", … This field is required.
          type: string
        schema:
          description: >-
            The schema of the dataset. E.g., MLflow ColSpec JSON for a
            dataframe, MLflow TensorSpec JSON for an ndarray, or another schema
            format.
          type: string
        profile:
          description: >-
            The profile of the dataset. Summary statistics for the dataset, such
            as the number of rows in a table, the mean / std / mode of each
            column in a table, or the number of elements in an array.
          type: string
      required:
        - name
        - digest
        - source_type
        - source
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [Track and monitor experiments](/cloud/platform-capabilities/features/development/track-monitor.md)
- [Log in](/api-reference/model-monitoring-authentication/get-model-monitorv2apiauthlogin.md)
- [Monitor Flows](/cloud/platform-capabilities/features/flows/monitor-flows.md)
- [Log out](/api-reference/model-monitoring-authentication/get-model-monitorv2apiauthlogout.md)
